#ifndef SETTINGSWIDGET_H
#define SETTINGSWIDGET_H

#include <QWidget>
#include <QTimer>
#include <QSettings>

namespace Ui {
class SettingsWidget;
}

class PatchDownloader;
class LotroDatManager;

class SettingsWidget : public QWidget
{
    Q_OBJECT

public:
    explicit SettingsWidget(QSettings* settings, PatchDownloader* patch_downloader, LotroDatManager* lotro_dat_manager, QWidget *parent = 0);
    ~SettingsWidget();

private slots:

    void on_interface_scale_combobox_common_currentIndexChanged(const QString &arg1);

    void on_change_folder_button_clicked();

    void on_lotro_patch_language_combobox_common_activated(int index);

    void on_patch_all_button_common_clicked();
    
    void on_remove_backup_common_clicked();
    
    void on_create_backup_common_clicked();
    
    void on_restore_backup_common_clicked();
    
private:
    QSettings* app_settings;
    PatchDownloader* patch_updater;
    LotroDatManager* lotro_manager;

    Ui::SettingsWidget *ui;
};

#endif // SETTINGSWIDGET_H
